## ros-iron-dolly-ignition 0.4.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(dolly_ignition)

# Skip if Ignition not present
find_package(ignition-gazebo5 QUIET)
if(NOT ignition-gazebo5_FOUND)
  message(WARNING "Ignition Gazebo 5 not found, proceeding without that simulator.")
  return()
endif()

find_package(ament_cmake REQUIRED)

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()
endif()

install(
  DIRECTORY
    ign
    launch
    models
    rviz
    worlds
  DESTINATION
    share/${PROJECT_NAME}/
)

ament_environment_hooks("${CMAKE_CURRENT_SOURCE_DIR}/env-hooks/${PROJECT_NAME}.sh.in")
ament_environment_hooks("${CMAKE_CURRENT_SOURCE_DIR}/env-hooks/${PROJECT_NAME}.dsv.in")

ament_package()

=== debian/changelog ===
ros-iron-dolly-ignition (0.4.0-5jammy) jammy; urgency=high

  * Galactic + Edifice support
  * Make ros_ign_gazebo more than exec_depend (#26 <https://github.com/chapulina/dolly/issues/26>)
  * Contributors: Louise Poubel

 -- Louise Poubel <burajiru.no.chapulina@gmail.com>  Sat, 09 Oct 2021 16:00:00 -0000

ros-iron-dolly-ignition (0.3.0-5jammy) jammy; urgency=high

  * Foxy support (#18 <https://github.com/chapulina/dolly/issues/18>)
  * A few tweaks to the Ignition package (#14 <https://github.com/chapulina/dolly/issues/14>)
  * Ignition support (#13 <https://github.com/chapulina/dolly/issues/13>)
  * Contributors: Louise Poubel
  * Foxy support (#18 <https://github.com/chapulina/dolly/issues/18>)
  * A few tweaks to the Ignition package (#14 <https://github.com/chapulina/dolly/issues/14>)
  * Ignition support (#13 <https://github.com/chapulina/dolly/issues/13>)
  * Contributors: Louise Poubel

 -- Louise Poubel <burajiru.no.chapulina@gmail.com>  Sat, 08 Aug 2020 16:00:00 -0000

=== debian/control ===
Source: ros-iron-dolly-ignition
Section: misc
Priority: optional
Maintainer: Louise Poubel <burajiru.no.chapulina@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-iron-ament-cmake, ros-iron-ament-lint-auto <!nocheck>, ros-iron-ament-lint-common <!nocheck>, ros-iron-ros-ign-gazebo, ros-iron-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-iron-dolly-ignition
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-iron-dolly-follow, ros-iron-ros-ign-bridge, ros-iron-ros-ign-gazebo, ros-iron-ros2launch, ros-iron-rviz2, ros-iron-ros-workspace
Description: Launch Ignition simulation with Dolly robot.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/iron/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/iron" \
		-DAMENT_PREFIX_PATH="/opt/ros/iron" \
		-DCMAKE_PREFIX_PATH="/opt/ros/iron" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-iron-dolly-ignition//opt/ros/iron/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_install
